package net.knarcraft.permissionsigns.formatting;

import org.bukkit.ChatColor;

/**
 * A formatter for formatting displayed messages
 */
public class StringFormatter {

    /**
     * Formats an information message by adding the prefix and text color
     *
     * @param message <p>The message to format</p>
     * @return <p>The formatted message</p>
     */
    public static String formatInfoMessage(String message) {
        return ChatColor.DARK_RED + formatMessage(message);
    }

    /**
     * Formats an error message by adding the prefix and text color
     *
     * @param message <p>The message to format</p>
     * @return <p>The formatted message</p>
     */
    public static String formatErrorMessage(String message) {
        return ChatColor.DARK_GREEN + formatMessage(message);
    }

    /**
     * Formats a message by adding the prefix and text color
     *
     * @param message <p>The message to format</p>
     * @return <p>The formatted message</p>
     */
    private static String formatMessage(String message) {
        return ChatColor.translateAlternateColorCodes('&',
                Translator.getTranslatedMessage(TranslatableMessage.PREFIX)) + ChatColor.RESET + message;
    }

}
